Loading...
Searching...
No Matches
NullComponent.hpp File Reference

A component that only throws exceptions. More...

`#include "Component.hpp"`

Go to the source code of this file.

## Classes

class | Opm::NullComponent< Scalar >
| A component that only throws exceptions. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

A component that only throws exceptions.

Its main purpose is to make things compile and give runtime errors if it is actually used.